using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Text.RegularExpressions;
using LLNet.GUI;

namespace LLNet.Tienda.MainForms.Forms.OtrosServ.ClubViajes
{
    public partial class FrmCVClientes : Form
    {

        public bool continuar = false;
        private string pedido;

        public FrmCVClientes(string ppedido)
        {
            InitializeComponent();
            pedido = ppedido;
        }

        private void btnSalir_Click(object sender, EventArgs e)
        {
            this.continuar = false;
            this.Close();
        }

        private void btnAsigCli_Click(object sender, EventArgs e)
        {
            Regex regx = new Regex(@"^\d-\d{4,4}-\d{4,4}$");//Expresión regular para el número de cédula
            Regex regxc = new Regex(@"^[_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$");//Expresión regular para el número de correo
            //
            if (this.rbtncedula.Checked)
            {
                if (!regx.IsMatch(this.txtcedula.Text))
                {
                    this.txtcedula.Focus();
                    CApp.ShowMessage("¡Digite/complete la cédula del cliente con el formato 0-0000-0000!", "Club de Viajes", true);
                }
                else
                {
                    if (this.txtNombre.Text == "")
                    {
                        this.txtNombre.Focus();
                        CApp.ShowMessage("¡Digite el nombre del cliente!", "Club de Viajes", true);
                    }
                    else
                    {
                        Alm_Cli();
                    }
                }
            }
        }


        private void Alm_Cli()
        {
            string PData = "";
            try
            {
                //Almacena los datos en nuestra Base d Datos
                Utils.QueryParams qp = new LLNet.Utils.QueryParams();
                //pTARJETA,pCEDULA,pNOMBRE,pAPELLIDO1,pAPELLIDO2,pTELEFONO1,pTELEFONO2,pEMAIL,pFECHA_NAC,pGENERO,pPROVINCIA,pCANTON,pDISTRITO,pPERTENECE_A
                qp.AddReplaceParam("pDocumento", pedido);
                qp.AddReplaceParam("pCEDULA", txtcedula.Text);
                qp.AddReplaceParam("pNOMBRE", txtNombre.Text);

                //qp.AddReplaceParam("pCAJERO", GUI.CApp.usuario);
                // Llama el procedimiento que almacena el error de la recarga en la BD
                GUI.CApp.bll.ExecuteSql("VIAJES_P_CLIENTE", qp, "PDV");
                //CApp.ShowMessage("Cliente creado exitosamente", "Club de Viajes", true);                        
                continuar = true;
                this.Close();
            }
            catch (Exception er)
            {
                CApp.ShowMessage(er.Message, "VIAJES_P_CLIENTE", true);
                //BitacoraErrorWS("WS=" + varUrlPts + "afiliacion.php " + er.Message, PData);
            }
        }

    }
}
